Updated: 2012-08-30 Due date:
Subject: f:format.json: Make tag "escaping" default
Description

Currently, the JSON ViewHelper will put greater-and-lower-than-characters through as they are, which might be dangerous in
ViewHelper, ie HTML context.

Associated revisions
Revision 3d6a9326 - 2012-08-30 17:38 - Adrian Föder

[FEATURE] Format.JsonViewHelper escapes tag characters per default

Since occuring plain greater-than or less-than characters in HTML
context could be dangerous (even CDATA sequences can be stopped with
this), the tags are now converted to their hexadecimal representation.
Since this is standard JSON syntax, this is considered not to be a
breaking change.

Change-Id: Ib797c380aa4b9e45ebb7d21eaa0715d4c5a9a999
Resolves: #39886
Releases: 1.2

History
#1 - 2012-08-17 12:26 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13853

#2 - 2012-08-30 17:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13853

#3 - 2012-08-30 17:39 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13853

#4 - 2012-08-30 17:57 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
